package com.example.currencyconverter.model

import com.google.gson.annotations.SerializedName

data class Rates (

    @SerializedName("AED" ) var AED : Double? = null,
    @SerializedName("AFN" ) var AFN : Double? = null,
    @SerializedName("ALL" ) var ALL : Double? = null,
    @SerializedName("AMD" ) var AMD : Double? = null,
    @SerializedName("ANG" ) var ANG : Double? = null,
    @SerializedName("AOA" ) var AOA : Double? = null,
    @SerializedName("ARS" ) var ARS : Double? = null,
    @SerializedName("AUD" ) var AUD : Double? = null,
    @SerializedName("AWG" ) var AWG : Double? = null,
    @SerializedName("AZN" ) var AZN : Double? = null,
    @SerializedName("BAM" ) var BAM : Double? = null,
    @SerializedName("BBD" ) var BBD : Double? = null,
    @SerializedName("BDT" ) var BDT : Double? = null,
    @SerializedName("BGN" ) var BGN : Double? = null,
    @SerializedName("BHD" ) var BHD : Double? = null,
    @SerializedName("BIF" ) var BIF : Double? = null,
    @SerializedName("BMD" ) var BMD : Double? = null,
    @SerializedName("BND" ) var BND : Double? = null,
    @SerializedName("BOB" ) var BOB : Double? = null,
    @SerializedName("BRL" ) var BRL : Double? = null,
    @SerializedName("BSD" ) var BSD : Double? = null,
    @SerializedName("BTC" ) var BTC : Double? = null,
    @SerializedName("BTN" ) var BTN : Double? = null,
    @SerializedName("BWP" ) var BWP : Double? = null,
    @SerializedName("BYN" ) var BYN : Double? = null,
    @SerializedName("BYR" ) var BYR : Double? = null,
    @SerializedName("BZD" ) var BZD : Double? = null,
    @SerializedName("CAD" ) var CAD : Double? = null,
    @SerializedName("CDF" ) var CDF : Double? = null,
    @SerializedName("CHF" ) var CHF : Double? = null,
    @SerializedName("CLF" ) var CLF : Double? = null,
    @SerializedName("CLP" ) var CLP : Double? = null,
    @SerializedName("CNY" ) var CNY : Double? = null,
    @SerializedName("COP" ) var COP : Double? = null,
    @SerializedName("CRC" ) var CRC : Double? = null,
    @SerializedName("CUC" ) var CUC : Double? = null,
    @SerializedName("CUP" ) var CUP : Double? = null,
    @SerializedName("CVE" ) var CVE : Double? = null,
    @SerializedName("CZK" ) var CZK : Double? = null,
    @SerializedName("DJF" ) var DJF : Double? = null,
    @SerializedName("DKK" ) var DKK : Double? = null,
    @SerializedName("DOP" ) var DOP : Double? = null,
    @SerializedName("DZD" ) var DZD : Double? = null,
    @SerializedName("EGP" ) var EGP : Double? = null,
    @SerializedName("ERN" ) var ERN : Double? = null,
    @SerializedName("ETB" ) var ETB : Double? = null,
    @SerializedName("EUR" ) var EUR : Int?    = null,
    @SerializedName("FJD" ) var FJD : Double? = null,
    @SerializedName("FKP" ) var FKP : Double? = null,
    @SerializedName("GBP" ) var GBP : Double? = null,
    @SerializedName("GEL" ) var GEL : Double? = null,
    @SerializedName("GGP" ) var GGP : Double? = null,
    @SerializedName("GHS" ) var GHS : Double? = null,
    @SerializedName("GIP" ) var GIP : Double? = null,
    @SerializedName("GMD" ) var GMD : Double? = null,
    @SerializedName("GNF" ) var GNF : Double? = null,
    @SerializedName("GTQ" ) var GTQ : Double? = null,
    @SerializedName("GYD" ) var GYD : Double? = null,
    @SerializedName("HKD" ) var HKD : Double? = null,
    @SerializedName("HNL" ) var HNL : Double? = null,
    @SerializedName("HRK" ) var HRK : Double? = null,
    @SerializedName("HTG" ) var HTG : Double? = null,
    @SerializedName("HUF" ) var HUF : Double? = null,
    @SerializedName("IDR" ) var IDR : Double? = null,
    @SerializedName("ILS" ) var ILS : Double? = null,
    @SerializedName("IMP" ) var IMP : Double? = null,
    @SerializedName("INR" ) var INR : Double? = null,
    @SerializedName("IQD" ) var IQD : Double? = null,
    @SerializedName("IRR" ) var IRR : Double? = null,
    @SerializedName("ISK" ) var ISK : Double? = null,
    @SerializedName("JEP" ) var JEP : Double? = null,
    @SerializedName("JMD" ) var JMD : Double? = null,
    @SerializedName("JOD" ) var JOD : Double? = null,
    @SerializedName("JPY" ) var JPY : Double? = null,
    @SerializedName("KES" ) var KES : Double? = null,
    @SerializedName("KGS" ) var KGS : Double? = null,
    @SerializedName("KHR" ) var KHR : Double? = null,
    @SerializedName("KMF" ) var KMF : Double? = null,
    @SerializedName("KPW" ) var KPW : Double? = null,
    @SerializedName("KRW" ) var KRW : Double? = null,
    @SerializedName("KWD" ) var KWD : Double? = null,
    @SerializedName("KYD" ) var KYD : Double? = null,
    @SerializedName("KZT" ) var KZT : Double? = null,
    @SerializedName("LAK" ) var LAK : Double? = null,
    @SerializedName("LBP" ) var LBP : Double? = null,
    @SerializedName("LKR" ) var LKR : Double? = null,
    @SerializedName("LRD" ) var LRD : Double? = null,
    @SerializedName("LSL" ) var LSL : Double? = null,
    @SerializedName("LTL" ) var LTL : Double? = null,
    @SerializedName("LVL" ) var LVL : Double? = null,
    @SerializedName("LYD" ) var LYD : Double? = null,
    @SerializedName("MAD" ) var MAD : Double? = null,
    @SerializedName("MDL" ) var MDL : Double? = null,
    @SerializedName("MGA" ) var MGA : Double? = null,
    @SerializedName("MKD" ) var MKD : Double? = null,
    @SerializedName("MMK" ) var MMK : Double? = null,
    @SerializedName("MNT" ) var MNT : Double? = null,
    @SerializedName("MOP" ) var MOP : Double? = null,
    @SerializedName("MRO" ) var MRO : Double? = null,
    @SerializedName("MUR" ) var MUR : Double? = null,
    @SerializedName("MVR" ) var MVR : Double? = null,
    @SerializedName("MWK" ) var MWK : Double? = null,
    @SerializedName("MXN" ) var MXN : Double? = null,
    @SerializedName("MYR" ) var MYR : Double? = null,
    @SerializedName("MZN" ) var MZN : Double? = null,
    @SerializedName("NAD" ) var NAD : Double? = null,
    @SerializedName("NGN" ) var NGN : Double? = null,
    @SerializedName("NIO" ) var NIO : Double? = null,
    @SerializedName("NOK" ) var NOK : Double? = null,
    @SerializedName("NPR" ) var NPR : Double? = null,
    @SerializedName("NZD" ) var NZD : Double? = null,
    @SerializedName("OMR" ) var OMR : Double? = null,
    @SerializedName("PAB" ) var PAB : Double? = null,
    @SerializedName("PEN" ) var PEN : Double? = null,
    @SerializedName("PGK" ) var PGK : Double? = null,
    @SerializedName("PHP" ) var PHP : Double? = null,
    @SerializedName("PKR" ) var PKR : Double? = null,
    @SerializedName("PLN" ) var PLN : Double? = null,
    @SerializedName("PYG" ) var PYG : Double? = null,
    @SerializedName("QAR" ) var QAR : Double? = null,
    @SerializedName("RON" ) var RON : Double? = null,
    @SerializedName("RSD" ) var RSD : Double? = null,
    @SerializedName("RUB" ) var RUB : Double? = null,
    @SerializedName("RWF" ) var RWF : Double? = null,
    @SerializedName("SAR" ) var SAR : Double? = null,
    @SerializedName("SBD" ) var SBD : Double? = null,
    @SerializedName("SCR" ) var SCR : Double? = null,
    @SerializedName("SDG" ) var SDG : Double? = null,
    @SerializedName("SEK" ) var SEK : Double? = null,
    @SerializedName("SGD" ) var SGD : Double? = null,
    @SerializedName("SHP" ) var SHP : Double? = null,
    @SerializedName("SLL" ) var SLL : Double? = null,
    @SerializedName("SOS" ) var SOS : Double? = null,
    @SerializedName("SRD" ) var SRD : Double? = null,
    @SerializedName("STD" ) var STD : Double? = null,
    @SerializedName("SVC" ) var SVC : Double? = null,
    @SerializedName("SYP" ) var SYP : Double? = null,
    @SerializedName("SZL" ) var SZL : Double? = null,
    @SerializedName("THB" ) var THB : Double? = null,
    @SerializedName("TJS" ) var TJS : Double? = null,
    @SerializedName("TMT" ) var TMT : Double? = null,
    @SerializedName("TND" ) var TND : Double? = null,
    @SerializedName("TOP" ) var TOP : Double? = null,
    @SerializedName("TRY" ) var TRY : Double? = null,
    @SerializedName("TTD" ) var TTD : Double? = null,
    @SerializedName("TWD" ) var TWD : Double? = null,
    @SerializedName("TZS" ) var TZS : Double? = null,
    @SerializedName("UAH" ) var UAH : Double? = null,
    @SerializedName("UGX" ) var UGX : Double? = null,
    @SerializedName("USD" ) var USD : Double? = null,
    @SerializedName("UYU" ) var UYU : Double? = null,
    @SerializedName("UZS" ) var UZS : Double? = null,
    @SerializedName("VEF" ) var VEF : Double? = null,
    @SerializedName("VND" ) var VND : Double? = null,
    @SerializedName("VUV" ) var VUV : Double? = null,
    @SerializedName("WST" ) var WST : Double? = null,
    @SerializedName("XAF" ) var XAF : Double? = null,
    @SerializedName("XAG" ) var XAG : Double? = null,
    @SerializedName("XAU" ) var XAU : Double? = null,
    @SerializedName("XCD" ) var XCD : Double? = null,
    @SerializedName("XDR" ) var XDR : Double? = null,
    @SerializedName("XOF" ) var XOF : Double? = null,
    @SerializedName("XPF" ) var XPF : Double? = null,
    @SerializedName("YER" ) var YER : Double? = null,
    @SerializedName("ZAR" ) var ZAR : Double? = null,
    @SerializedName("ZMK" ) var ZMK : Double? = null,
    @SerializedName("ZMW" ) var ZMW : Double? = null,
    @SerializedName("ZWL" ) var ZWL : Double? = null
): HashMap<String, Double>()